package com.qzing.ime.abnl;

import com.qzing.ime.framework.dto.BaseRequest;
import lombok.AllArgsConstructor;
import lombok.Getter;
import lombok.NoArgsConstructor;
import lombok.Setter;

/**
 * @author: yuzhao
 * @create: 2021-11-04
 **/
@Setter
@Getter
@NoArgsConstructor
@AllArgsConstructor
public class AbnlEventResponse extends BaseRequest {
    private String code;
    private String type;
    private Long phenomenonCode;
    private Boolean mainAbnl;
    private String busiType;
    private String context;
    //异常位置
    private String exceptionLocation;
    //是否停机
    private Boolean isStop;
}
