package com.qzing.ime.abnl;

import com.qzing.ieep.data.common.RestResponse;

import java.util.HashMap;
import java.util.List;
import java.util.Map;

/**
 * @author: yuzhao
 * @create: 2021-11-11
 **/
public class BaseOptResponse {
    public static RestResponse create(String msg, Long successTotal, List<String> errorList){
        Map<String, Object> map = new HashMap<>();
        map.put("successTotal",successTotal);
        map.put("errorData",errorList);
        map.put("action",msg);

        RestResponse sp = new RestResponse();
        sp.setExtra(map);
        sp.setCode("0000");
        return sp;
    }
}
