package com.qzing.ime.abnl;

import com.alibaba.fastjson.JSONObject;
import com.qzing.ieep.util.StringUtils;

/**
 * @author: yuzhao
 * @create: 2021-11-04
 **/
public class JsonUtil {
    public static boolean isJson(String content) {
        if (StringUtils.isEmpty(content)) {
            return false;
        }
        boolean isJsonObject = true;
        boolean isJsonArray = true;
        try {
            JSONObject.parseObject(content);
        } catch (Exception e) {
            isJsonObject = false;
        }
        try {
            JSONObject.parseArray(content);
        } catch (Exception e) {
            isJsonArray = false;
        }
        if (!isJsonObject && !isJsonArray) { //不是json格式
            return false;
        }
        return true;
    }
}
