package com.qzing.ime.abnl.abnlevent.model.constant;

/**
 * @author: yuzhao
 * @create: 2021-10-27
 **/
public class AbnlEventConstant {

    public static final String ABNL_CODE = "YCGL";
    public static final String SUCCESS_CODE = "0000";
    public static final String ERROR_CODE = "10000";

    /**
     * 异常附属信息不符合JSON格式
     */
    public static final String CONTEXT_IS_NOT_JSON = "context_is_not_json";

    /**
     * 异常事件不存在
     */
    public static final String ABNL_EVENT_IS_NOT_EXIST = "abnl_event_is_not_exist";

    /**
     * 当前状态不允许关闭
     */
    public static final String ABNL_EVENT_CAN_NOT_CLOSE = "abnl_event_can_not_close";
    /**
     * 当前状态不允许处置
     */
    public static final String ABNL_EVENT_CAN_NOT_HANDLE = "abnl_event_can_not_handle";

    /**
     *   b不能删除
     */
    public static final String CANNOT_DELETE = "abnl_event_cannot_delete";

}
