package com.qzing.ime.abnl.abnlevent.model.request;

import io.swagger.annotations.ApiModel;
import lombok.Getter;
import lombok.NoArgsConstructor;
import lombok.Setter;

/**
 * @author: yuzhao
 * @create: 2021-11-04
 **/
@Setter
@Getter
@NoArgsConstructor
@ApiModel("异常事件更新请求")
public class AbnlEventUpdateRequest extends StdAbnlEventUpdateRequest {
    //产线编码
    private  String workCenterCode;
    //产线名称
    private  String workCenterName;
    //异常位置
    private String exceptionLocation;
    //是否停机
    private Boolean isStop;
    //批次生产单
    private String workOrderCode;
    //作业批次
    private String sfcCode;
}
