package com.qzing.ime.abnl.abnlevent.model.request;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.AllArgsConstructor;
import lombok.Getter;
import lombok.NoArgsConstructor;
import lombok.Setter;

/**
 * @author: yuzhao
 * @create: 2021-11-08
 **/
@Setter
@Getter
@NoArgsConstructor
@AllArgsConstructor
@ApiModel("设备-异常监听消息")
public class AbnlRepairTaskRequest {
    @ApiModelProperty("设备编码")
    private String equipSerialCode;

    @ApiModelProperty("设备名称")
    private String equipSerialName;

    @ApiModelProperty(value = "次故障现象编码")
    private String phenomenonCode;

    @ApiModelProperty(value = "次故障现象名称")
    private String phenomenonName;

    @ApiModelProperty(value = "主故障现象编码")
    private String mainPhenomenonCode;

    @ApiModelProperty(value = "主故障现象名称")
    private String mainPhenomenonName;

    @ApiModelProperty(value = "工厂编码")
    protected String plantCode;

    @ApiModelProperty(value = "工厂名称")
    protected String plantName;

    @ApiModelProperty(value = "公司编码")
    protected String companyCode;

    @ApiModelProperty(value = "公司名称")
    protected String companyName;

    @ApiModelProperty(value = "编排编码")
    protected String code;

    @ApiModelProperty(value = "异常类型")
    protected String type;

    @ApiModelProperty(value = "是否生成任务信息")
    protected String isTask="true";

    @ApiModelProperty(value = "编排报错信息")
    protected String message;


}
