package com.qzing.ime.abnl.abnluserrelation.api;

import com.qzing.ime.abnl.BaseAbnlResponse;
import com.qzing.ime.abnl.abnluserrelation.model.request.AbnlUserRelationCreateRequest;
import com.qzing.ime.abnl.abnluserrelation.model.request.AbnlUserRelationUpdateRequest;
import com.qzing.ime.framework.feign.ImeBaseFeignApi;
import io.swagger.annotations.ApiOperation;
import org.springframework.cloud.openfeign.FeignClient;
import org.springframework.web.bind.annotation.PostMapping;
import org.springframework.web.bind.annotation.RequestBody;

/**
 * Created by chenyapeng on 2021/9/28 14:26
 */
@FeignClient("${ime.abnl}/abnl/abnluserrelation")
public interface AbnlUserRelationFeignClient extends ImeBaseFeignApi<AbnlUserRelationCreateRequest, AbnlUserRelationUpdateRequest> {

    @ApiOperation("异常用户关系创建")
    @PostMapping({"/save"})
    BaseAbnlResponse createAbnlUserRelation(@RequestBody AbnlUserRelationCreateRequest request);

}
