package com.qzing.ime.abnl.abnluserrelation.model.constant;

/**
 * @author: yuzhao
 * @create: 2021-10-27
 **/
public class AbnlUserRelationConstant {

    public static final String ABNL_CODE = "YCGL";

    /**
     * 校验人员编码，业务类型，类型，联合唯一，否则提示“已存在相同记录”
     */
    public static final String ABN_USER_RELATION_IS_EXISTS = "abn_user_relation_is_exists";


    /**
     * 编码已存在
     */
    public static final String ABNL_CODE_IS_EXISTS = "abnl_code_is_exists";

    /**
     * 此数据不存在，请检查
     */
    public static final String ABNL_DATA_NOT_EXISTS = "abnl_data_not_exists";

    /**
     * 所选异常现象未停用，不可编辑
     */
    public static final String ABNL_PHENOMENON_CAN_NOT_EDIT = "abnl_phenomenon_can_not_edit";

    /**
     * 该异常现象已启用，无需重复启用
     */
    public static final String ABNL_PHENOMENON_CAN_NOT_ENABLE = "abnl_phenomenon_can_not_enable";

    /**
     * 该异常现象已停用，无需重复停用
     */
    public static final String ABNL_PHENOMENON_CAN_NOT_DISABLE = "abnl_phenomenon_can_not_disable";
}
