package com.qzing.ime.abnl.abnlevent.entity;

import com.qzing.ieep.data.common.DataPermission;
import lombok.Getter;
import lombok.NoArgsConstructor;
import lombok.Setter;

import javax.persistence.*;

/**
 * 维保项目 :: 实体
 * <p>
 * 本代码由代码生成器生成
 * 本代码可能会重复生成，请勿修改除实体方法区域以外的区域
 */
@Entity
@Table(name = "d_al_abnl_event")
@DiscriminatorColumn(name = "entitytype", discriminatorType = DiscriminatorType.STRING)
@DiscriminatorValue("Product")
@NoArgsConstructor
@Getter
@Setter
@Cacheable
@DataPermission(fields = {"plantCode", "companyCode"})
public class AbnlEvent extends StdAbnlEvent {

    //产线编码
    private  String workCenterCode;
    //产线名称
    private  String workCenterName;
    //异常位置
    private String exceptionLocation;
    //是否停机
    private Boolean isStop;
    //批次生产单
    private String workOrderCode;
    //作业批次
    private String sfcCode;

}
