package com.qzing.ime.abnl.abnluserrelation.entity;

import com.qzing.ieep.data.common.DataPermission;
import com.qzing.ime.framework.constant.BaseCacheNameConst;
import lombok.Getter;
import lombok.NoArgsConstructor;
import lombok.Setter;
import org.hibernate.annotations.CacheConcurrencyStrategy;

import javax.persistence.*;

/**
 * @author: yuzhao
 * @create: 2021-10-27
 **/
@Entity
@Table(name = "d_al_abnl_user_relation")
@DiscriminatorColumn(name = "entitytype", discriminatorType = DiscriminatorType.STRING)
@DiscriminatorValue("Product")
@NoArgsConstructor
@Getter
@Setter
@Cacheable
@org.hibernate.annotations.Cache(usage = CacheConcurrencyStrategy.READ_WRITE, region = BaseCacheNameConst.Name)
@DataPermission(fields = {"plantCode", "companyCode"})
public class AbnlUserRelation extends StdAbnlUserRelation{
}
