package com.qzing.ime.abnl.handlemode.entity;

import com.qzing.ieep.data.common.DataPermission;
import com.qzing.ime.framework.constant.BaseCacheNameConst;
import lombok.Getter;
import lombok.NoArgsConstructor;
import lombok.Setter;
import org.hibernate.annotations.CacheConcurrencyStrategy;

import javax.persistence.*;

/**
 * @author: yuzhao
 * @create: 2021-11-03
 **/
@Entity
@Table(name = "d_al_handle_mode")
@DiscriminatorColumn(name = "entitytype", discriminatorType = DiscriminatorType.STRING)
@DiscriminatorValue("Product")
@NoArgsConstructor
@Getter
@Setter
@Cacheable
@org.hibernate.annotations.Cache(usage = CacheConcurrencyStrategy.READ_WRITE, region = BaseCacheNameConst.Name)
@DataPermission(ignore = true)
public class HandleMode extends StdHandleMode {
}
