package com.qzing.ime.abnl;

import com.qzing.ime.framework.code.spi.CodeGenerator;
import org.junit.Test;
import org.junit.runner.RunWith;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.boot.test.context.SpringBootTest;
import org.springframework.test.context.junit4.SpringRunner;
import org.springframework.transaction.annotation.Transactional;

/**
 * IME代码生成器
 */
@RunWith(SpringRunner.class)
@SpringBootTest(classes = TestApplication.class)
public class ImeGenerator {
    @Autowired
    private CodeGenerator codeGenerator;

    /**
     * 第一步：刷新元数据
     */
    @Test
    @Transactional
    public void generateMeta() throws Exception {
        codeGenerator.generateMeta();
    }

    /**
     * 第二步：生成模块代码
     */
    @Test
    @Transactional
    public void generateModule() throws Exception {
        //单独只生成实体、DTO、杂项：
        //codeGenerator.generateEntity(ImeModules.PRODEXEC_TEST);
        //codeGenerator.generateDto(ImeModules.PRODEXEC_TEST);
        //codeGenerator.generateMisc(ImeModules.PRODEXEC_TEST);

        //生成全部
        //codeGenerator.generateAll(ImeModules.abnlMENT_MAINTAIN_APPLY);
        //codeGenerator.generateAll(ImeModules.abnlMENT_MAINTAIN_TASK);
    }
}
