package com.qzing.ime.abnl.abnlevent.model.request;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Getter;
import lombok.NoArgsConstructor;
import lombok.Setter;

/**
 * @author: yuzhao
 * @create: 2021-11-04
 **/
@Setter
@Getter
@NoArgsConstructor
@ApiModel("异常事件完成请求")
public class AbnlEventFinishRespondRequest extends StdAbnlEventFinishRespondRequest {

    @ApiModelProperty("已分配关闭人编码")
    private String allocatedCloseUserCode;


    @ApiModelProperty("已分配关闭人名称")
    private String allocatedCloseUserName;
}
