package com.qzing.ime.abnl.abnluserrelation.model.enums;

import lombok.Getter;

/**
 * Created by chenyapeng on 2020/11/25 17:06
 */
@Getter
public enum AbnlTypeEnum {

    /**
     * 设备异常
     */
    EQUIPEXCP,

    /**
     * 物料异常
     */
    MATERIALEXCP,

    /**
     * 人员异常
     */
    PERSONNELEXCP,

    /**
     * 品质异常
     */
    QUALITYEXCP,

    /**
     * 工艺异常
     */
    ROUTEEXCP,

    /**
     * 计划异常
     */
    PLANEXCP,

    /**
     * 其它异常
     */
    OTHEREXCP;

    public static String getDesc(String name){
        if(AbnlTypeEnum.EQUIPEXCP.name().equals(name)){
            return "设备异常";
        } else if(AbnlTypeEnum.MATERIALEXCP.name().equals(name)){
            return "物料异常";
        }else if(AbnlTypeEnum.PERSONNELEXCP.name().equals(name)){
            return "人员异常";
        }else if(AbnlTypeEnum.QUALITYEXCP.name().equals(name)){
            return "品质异常";
        }else if(AbnlTypeEnum.ROUTEEXCP.name().equals(name)){
            return "工艺异常";
        }else if(AbnlTypeEnum.PLANEXCP.name().equals(name)){
            return "计划异常";
        }else if(AbnlTypeEnum.OTHEREXCP.name().equals(name)){
            return "其它异常";
        }
        return null;
    }
}
