package com.qzing.ime.abnl.handlemode.api;

import com.qzing.ime.abnl.BaseAbnlResponse;
import com.qzing.ime.abnl.handlemode.model.request.HandleModeCreateRequest;
import com.qzing.ime.abnl.handlemode.model.request.HandleModeUpdateRequest;
import com.qzing.ime.framework.feign.ImeBaseFeignApi;
import io.swagger.annotations.ApiOperation;
import org.springframework.cloud.openfeign.FeignClient;
import org.springframework.web.bind.annotation.PostMapping;
import org.springframework.web.bind.annotation.RequestBody;

/**
 * Created by chenyapeng on 2021/9/28 14:26
 */
@FeignClient("${ime.abnl}/abnl/handlemode")
public interface HandleModeFeignClient extends ImeBaseFeignApi<HandleModeCreateRequest, HandleModeUpdateRequest> {
    @ApiOperation("处置方式更新接口")
    @PostMapping({"/update"})
    BaseAbnlResponse updateHandleMode(@RequestBody HandleModeUpdateRequest request);

}
