package com.qzing.ime.abnl.earlywarningnotice.model.request;

import com.qzing.ime.framework.dto.BaseCreateRequest;
import lombok.Getter;
import lombok.NoArgsConstructor;
import lombok.Setter;

import java.math.BigDecimal;
import java.util.Date;

/**
 * @author DWJ
 */
@Getter
@Setter
@NoArgsConstructor
public class EarlyWarningNoticeDetailRequest extends BaseCreateRequest {

    /**
     * gid
     */
    private Long gid;

    /**
     * 主表gid
     */
    private Long noticeGid;

    /**
     * 车间编码
     */
    private String workCenterCode;

    /**
     * 车间名称
     */
    private String workCenterName;

    /**
     * 接收人编码
     */
    private String userCode;

    /**
     * 接收人名称
     */
    private String userName;



}
