package com.qzing.ime.abnl.abnlevent;

import java.text.SimpleDateFormat;
import java.util.Calendar;

/**
 * Created by chenyapeng on 2022/4/14 15:35
 */
public class CalendarTest {

    /**
     * 获取当前日期的当月第一天
     *
     * @return String
     */
    public static String getFirstDayOfMonth() {
        SimpleDateFormat simpleDateFormat = new SimpleDateFormat("yyyy-MM-dd HH:mm:ss"); //格式化时间
        Calendar firstDay = Calendar.getInstance();
        firstDay.set(Calendar.DAY_OF_MONTH, 1);
        firstDay.set(Calendar.HOUR_OF_DAY, 0);
        firstDay.set(Calendar.MINUTE, 0);
        return simpleDateFormat.format(firstDay.getTime());
    }

    /**
     * 获取当前日期的  上个月的第一天和 最后一天
     *
     * @return String
     */
    public static String getFirstDayOfLastMonth() {
        SimpleDateFormat format = new SimpleDateFormat("yyyy-MM-dd HH:mm:ss"); //格式化时间
//获取上个月的第一天
        Calendar cal_1 = Calendar.getInstance();//获取当前日期
        cal_1.add(Calendar.MONTH, -1);
        cal_1.set(Calendar.DAY_OF_MONTH, 1);//设置为1号
        cal_1.set(Calendar.HOUR_OF_DAY, 0);
        cal_1.set(Calendar.MINUTE, 0);
        cal_1.set(Calendar.SECOND, 0);
        String firstDay = format.format(cal_1.getTime());
//例如今天 2021/8/11 sout后会输出：2021/7/1 00:00:00

        return firstDay;

    }

    /**
     * 获取当前日期的  上个月的第一天和 最后一天
     *
     * @return String
     */
    public static String getEndDayOfLastMonth() {
        SimpleDateFormat format = new SimpleDateFormat("yyyy-MM-dd HH:mm:ss"); //格式化时间
//获取上个月的最后一天
        Calendar cal_2 = Calendar.getInstance();
        cal_2.set(Calendar.DAY_OF_MONTH, 0);//设置为1号,当前日期既为本月第一天
        cal_2.set(Calendar.HOUR_OF_DAY, 23);
        cal_2.set(Calendar.MINUTE, 59);
        cal_2.set(Calendar.SECOND, 59);
        String lastDay = format.format(cal_2.getTime());
        return lastDay;

    }

    /**
     * 获取当前日期的  本周第一天
     *
     * @return String
     */
    public static String getFisrtDayOfThisWeek() {
        SimpleDateFormat format = new SimpleDateFormat("yyyy-MM-dd HH:mm:ss"); //格式化时间
//获取当前日期的  本周第一天
        Calendar cal_2 = Calendar.getInstance();
        cal_2.set(Calendar.DAY_OF_WEEK, 1);
        cal_2.set(Calendar.HOUR_OF_DAY, 0);
        cal_2.set(Calendar.MINUTE, 0);
        cal_2.set(Calendar.SECOND, 0);
        String firstDay = format.format(cal_2.getTime());
        return firstDay;

    }

}
