package com.qzing.ime.abnl.earlywarningnotice.application;

import com.qzing.ieep.data.common.RestResponse;
import com.qzing.ime.abnl.earlywarningnotice.model.request.EarlyWarningNoticeCreateRequest;
import com.qzing.ime.abnl.earlywarningnotice.model.request.EarlyWarningNoticeUpdateRequest;
import com.qzing.ime.framework.app.ImeCurdAppService;
import org.springframework.web.bind.annotation.PostMapping;
import org.springframework.web.bind.annotation.RequestBody;
import org.springframework.web.bind.annotation.RequestParam;

import java.util.List;

/**
 * @author DWJ
 */
public interface EarlyWarningNoticeService{

    /**
     * 创建
     */
    RestResponse create(EarlyWarningNoticeCreateRequest request);

    /**
     * 修改
     */
    RestResponse modify(EarlyWarningNoticeUpdateRequest request);

    /**
     * 删除
     */
    RestResponse delete(List<Long> gids);

    /**
     * 启用/停用
     */
    RestResponse enable(EarlyWarningNoticeUpdateRequest request);


    RestResponse findByCode(String code);
}
