package com.qzing.ime.abnl.earlywarningnotice.entity;

import com.qzing.ieep.data.common.DataPermission;
import com.qzing.ime.framework.constant.BaseCacheNameConst;
import com.qzing.ime.framework.domain.entity.ImeOrgBaseEntity;
import lombok.Getter;
import lombok.NoArgsConstructor;
import lombok.Setter;
import org.hibernate.annotations.CacheConcurrencyStrategy;

import javax.persistence.*;

/**
 * @author DWJ
 */
@Entity
@Table(name = "early_warning_notice_detail")
@DiscriminatorColumn(name = "entitytype", discriminatorType = DiscriminatorType.STRING)
@DiscriminatorValue("Product")
@NoArgsConstructor
@Getter
@Setter
@DataPermission(fields = {"plantCode", "companyCode"})
public class EarlyWarningNoticeDetail extends ImeOrgBaseEntity {

    /**
     * 主表gid
     */
    private Long noticeGid;

    /**
     * 车间编码
     */
    private String workCenterCode;

    /**
     * 车间名称
     */
    private String workCenterName;

    /**
     * 接收人编码
     */
    private String userCode;

    /**
     * 接收人名称
     */
    private String userName;

}
