//package com.qzing.framework.query.advance.jpa;
//
//import com.qzing.ieep.data.jpa.dao.JpaDaoImpl;
//import com.qzing.ieep.data.jpa.dao.MultiTenancyJpaDaoImpl;
//import com.qzing.ieep.data.jpa.entity.BaseMultiTenancyEntity;
//import org.springframework.data.jpa.provider.PersistenceProvider;
//import org.springframework.data.jpa.provider.QueryExtractor;
//import org.springframework.data.jpa.repository.support.JpaRepositoryFactory;
//import org.springframework.data.jpa.repository.support.SimpleJpaRepository;
//import org.springframework.data.repository.core.RepositoryInformation;
//import org.springframework.data.repository.core.RepositoryMetadata;
//import org.springframework.data.repository.query.QueryLookupStrategy;
//import org.springframework.data.repository.query.QueryLookupStrategy.Key;
//import org.springframework.data.repository.query.QueryMethodEvaluationContextProvider;
//
//import javax.persistence.EntityManager;
//import java.util.Optional;
//
//public class JpaRepositoryFactoryExt extends JpaRepositoryFactory {
//
//    private final EntityManager entityManager;
//    private final QueryExtractor extractor;
//
//    public JpaRepositoryFactoryExt(EntityManager entityManager) {
//        super(entityManager);
//        this.entityManager = entityManager;
//        this.extractor = PersistenceProvider.fromEntityManager(entityManager);
//    }
//
//
//    //    升级SpringCloud G版本以后的代码
//    @Override
//    protected Optional<QueryLookupStrategy> getQueryLookupStrategy(Key key, QueryMethodEvaluationContextProvider evaluationContextProvider) {
//        return super.getQueryLookupStrategy(key, evaluationContextProvider).map(m -> new QueryLookupStrategyDelegate(entityManager, extractor, m));
//    }
//
//    /**
//     * F版本的代码
//     */
////    @Override
////    protected Optional<QueryLookupStrategy> getQueryLookupStrategy(@Nullable Key key,
////                                                                   EvaluationContextProvider evaluationContextProvider) {
////        return super.getQueryLookupStrategy(key, evaluationContextProvider).map(m -> new QueryLookupStrategyDelegate(entityManager, extractor, m));
////    }
//    private EapcloudConfig eapcloudConfig;
//
//    public EapcloudConfig getEapcloudConfig() {
//        if (this.eapcloudConfig == null) {
//            this.eapcloudConfig = JpaRepositoryFactoryBeanExt.context.getBean(EapcloudConfig.class);
//        }
//
//        return this.eapcloudConfig;
//    }
//
//    @Override
//    protected SimpleJpaRepository<?, ?> getTargetRepository(RepositoryInformation information, EntityManager entityManager) {
//        Class<?> domainType = information.getDomainType();
//        if (this.getEapcloudConfig().getMultitenancy().isEnabled() && BaseMultiTenancyEntity.class.isAssignableFrom(domainType)) {
//            System.out.println("为实体" + domainType + "初始化多租户基础Dao。");
//            return new MultiTenancyJpaDaoImpl(this.getEntityInformation(domainType), entityManager);
//        } else {
//            return new JpaDaoImpl(this.getEntityInformation(information.getDomainType()), entityManager);
//        }
//    }
//
//    @Override
//    protected Class<?> getRepositoryBaseClass(RepositoryMetadata metadata) {
//        Class<?> domainType = metadata.getDomainType();
//        return this.getEapcloudConfig().getMultitenancy().isEnabled() && BaseMultiTenancyEntity.class.isAssignableFrom(domainType) ? MultiTenancyJpaDaoImpl.class : JpaDaoImpl.class;
//    }
//}
